MariaDB is a community-developed branch of the MySQL relational database management system.

learn more… | top users | synonyms

2
votes
0answers
34 views
+50

How to investigate mariadb unixODBC issue further

I've been using mariadb for a while on Ubuntu 12.04 with an ODBC DSN that I could use in R. Today it stopped working and I've been checking things like reinstalling packages, moving to mariadb 10 (as ...
1
vote
0answers
46 views

Installing MariaDB fails

I am trying to solve this GitHub issue (Vaprobash). (If you got Vagrant setup then you could try it out yourself and see the error in more detail.) The script I am using can be found here: mariadb.sh ...
0
votes
1answer
101 views

aptitude problem using mariadb repository on Ubuntu 13.10

I installed mariadb 5.5 on my ubuntu laptop like described here: sudo add-apt-repository "deb http://ftp.osuosl.org/pub/mariadb/repo/5.5/ubuntu $(lsb_release -c -s) main" and it works fine so far, ...
4
votes
2answers
398 views

How to stop dist-upgrade from removing MariaDB?

A similar question was asked at Partial upgrade - why remove MariaDB?. The answer to that question basically was stating that dist-upgrade is the issue. This question is asking if there is some ...
0
votes
0answers
89 views

Migrate from MySQL 5.5.34 to MariaDB 5.5.33 for Ubuntu 12.04 LTS

How to Migrate MySQL to MariaDB since I'm taking most of my time turning in Circles. Sorry if this question is to chicken for you guys. Since I'm new with Ubuntu and in MariaDB. Yet most of the time ...
0
votes
1answer
651 views

Problems during installation of MariaDb on Ubuntu 12.04

I'm trying to install MariaDB according to this documentation: sudo apt-get install python-software-properties sudo apt-key adv --recv-keys --keyserver hkp://keyserver.ubuntu.com:80 ...
8
votes
1answer
7k views

Ubuntu 13.10 Installing MariaDB when Apt reports MariaDB has unmet dependencies or broken packages

I have tried everything to install MariaDB on this clean Ubuntu installation but I keep getting this error, Some packages could not be installed. This may mean that you have requested an impossible ...
0
votes
0answers
445 views

(GUIDE) How to install and configure Mariadb on Ubuntu 12.10+

First of all open terminal and type this sudo apt-get install python-software-properties I recommend you to use MariaDB version 10.0.4 Alpha because when im installed it i've got no errors ...
3
votes
1answer
662 views

Why does Ubuntu 13.10 still not include MariaDB? [closed]

What is the reason 13.10 still does not include MariaDB? I consider switching from MySQL to MariaDB on 13.10 and wonder what's holding back Ubuntu. PS : Even if MariaDB is not yet included in the ...
2
votes
4answers
2k views

DPKG dependencies problem after removing MariaDB, prevents me from using apt-get

I tried to install MariaDB like this, and got this error: dpkg: error processing /var/cache/apt/archives/libmysqlclient18_5.5.32+maria-1~raring_amd64.deb (--unpack): libmysqlclient18:amd64 ...
0
votes
0answers
35 views

MariaDB - Headers vs Library mismatch

I know what it is. I've searched forums and sites to death. Can someone please advise how one updates the headers to match the MariaDB 10.0.3 libraries??? Thanks
0
votes
1answer
185 views

Resolving MariaDB removal issue

My MySQL/MariaDB installation got corrupted, and I'm trying to remove and reinstall via apt-get Unfortunately, I'm having a major issue with apt-get freezing after stopping the mariadb server. This ...
1
vote
2answers
458 views

Partial upgrade - why remove MariaDB?

My 12.04 system wants to run a partial upgrade, as part of which it proposes to remove certain MariaDB packages (see screenshot below). Attached is my sources.list file - I don't understand why the ...
1
vote
2answers
4k views

Can't install MariaDB 5.5 or 10 in Ubuntu 12.04. MYSQLD Failed to start?

I tried o install MariaDB on my Ubuntu 12.04 server. First it gave dependency issues and I fixed it by following this question : ...
26
votes
4answers
16k views

How to install MariaDB?

What is the most stable/safest way to install MariaDB?